Hash::Case::Upper(3pm)

NAME
Hash::Case::Upper - native hash with enforced lower cased keys

INHERITANCE
 Hash::Case::Upper
   is a Hash::Case
   is a Tie::StdHash

SYNOPSIS
  use Hash::Case::Upper;
  tie my(%uchash), 'Hash::Case::Upper';
  $uchash{StraNGeKeY} = 3;
  print keys %uchash;  # STRANGEKEY

DESCRIPTION
Hash::Case::Upper extends Hash::Case, which lets you play various trics with hash keys. In this implementation, the fake hash is case insensitive and the keys stored in upper-case.

Extends "DESCRIPTION" in Hash::Case.

METHODS
Extends "METHODS" in Hash::Case.

  Constructors
Extends "Constructors" in Hash::Case.

tie %hash, 'Hash::Case::Upper', [$values,] %options
    Define %hash to have only upper-cased keys. The hash is initialized with the $values, specified as ARRAY or HASH. Currently, there are no %options defined. Improves base, see "Constructors" in Hash::Case

  Hidden object access
Extends "Hidden object access" in Hash::Case.

$obj->addHashData(\%data)
    Inherited, see "Hidden object access" in Hash::Case

$obj->addPairs(@pairs)
    Inherited, see "Hidden object access" in Hash::Case

$obj->setHash(\%data)
    Inherited, see "Hidden object access" in Hash::Case

SEE ALSO
This module is part of Hash-Case version 1.07, built on January 26, 2026. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2002-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.